//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DatabaseProject
{
    using System;
    using System.Collections.Generic;
    
    public partial class person_info
    {
        public person_info()
        {
            this.distributors = new HashSet<distributor>();
            this.manufacturers = new HashSet<manufacturer>();
            this.manufacturers1 = new HashSet<manufacturer>();
            this.user_panel = new HashSet<user_panel>();
            this.warehouses = new HashSet<warehouse>();
            this.warehouses1 = new HashSet<warehouse>();
        }
    
        public int id_person { get; set; }
        public string name { get; set; }
        public string description { get; set; }
        public string address { get; set; }
        public string contact_number { get; set; }
        public int id_type { get; set; }
    
        public virtual ICollection<distributor> distributors { get; set; }
        public virtual ICollection<manufacturer> manufacturers { get; set; }
        public virtual ICollection<manufacturer> manufacturers1 { get; set; }
        public virtual person_type person_type { get; set; }
        public virtual ICollection<user_panel> user_panel { get; set; }
        public virtual ICollection<warehouse> warehouses { get; set; }
        public virtual ICollection<warehouse> warehouses1 { get; set; }
    }
}
